import { createApp } from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import ElementPlus from "element-plus";
import "element-plus/lib/theme-chalk/index.css";
import 'dayjs/locale/zh-cn'
import locale from 'element-plus/lib/locale/lang/zh-cn'
import "./assets/css/base.css"
import Pagination from '@/components/Pagination';
import { getStanderOne } from "@/server/api.js"
import { getColumnName } from '@/utils/allField.js'
import { parseTime, resetForm, columnWidth } from '@/utils/costum'

const app = createApp(App)
app.use(store)
app.use(router)
app.use(ElementPlus, { locale })
app.component('Pagination', Pagination)
app.config.globalProperties.getStanderOne = getStanderOne
app.config.globalProperties.getColumnName = getColumnName
app.config.globalProperties.parseTime = parseTime
app.config.globalProperties.resetForm = resetForm
app.config.globalProperties.columnWidth = columnWidth
app.config.globalProperties.msgSuccess = function (msg) {
	this.$message({ showClose: true, message: msg, type: 'success' })
}
app.config.globalProperties.msgError = function (msg) {
	this.$message({ showClose: true, message: msg, type: 'error' })
}
app.config.globalProperties.msgInfo = function (msg) {
	this.$message.info(msg)
}
app.mount('#app')
