import { get, deleteData } from "@/server/api.js";
export const ListMixin = {
	data () {
		return {
			isShowDialog: '',
			item: null,
			pagination: { // 分页参数
				pageNumber: 1,
				pageSize: 10,
				total: 0,
			},
			dataList: [], // 表格数据
			loading: true, // 表格loading加载
			colWidthList:[]
		}
	},
	created () {
		this.getList()
	},
	methods: {
		// 查询分页列表
		getList () {
			this.loading = true
			get(this.url.queryListUrl, this.pagination)
			.then((res) => {
				if (res.code === 200) {
					this.dataList = res.data.records || []
					this.pagination.total = res.data.count
					this.$nextTick(()=>{
						this.colWidthList = this.columnWidth(this.$refs['tableRef'].$el);
						this.loading = false;
					})
				} else {
					this.loading = false
				}
			}).catch (() => {
				this.loading = false
			})
		},
		// 监听回调
		completeCallBack (data) {
			this.isShowDialog = ''
			this.item = null
			this.getList()
		},
		// 新增按钮操作
		handleAdd () {
			this.isShowDialog = 'edit'
			this.item = null
		},
		// 修改按钮操作
		handleUpdate (row) {
			this.isShowDialog = 'edit'
			this.item = row
		},
		// 改变isShowDialog的值
		changeDialogStatus(data) {
			this.isShowDialog = data
		},
		// 删除数据
		delHanle (keyName, url) {
			this.$confirm('是否确认删除"' + keyName + '"的数据项?', '警告', {
				confirmButtonText: '确定',
				cancelButtonText: '取消',
				type: 'warning'
			}).then(() => {
				return deleteData(url)
			}).then(() => {
				this.msgSuccess('删除成功')
				const totalPage = Math.ceil((this.total - 1) / this.pagination.pageSize)
				this.pagination.pageNumber = this.pagination.pageNumber > totalPage ? totalPage : this.pagination.pageNumber
				this.pagination.pageNumber = this.pagination.pageNumber < 1 ? 1 : this.pagination.pageNumber
				this.getList()
			}).catch(() => { })
		},
	}
}